/*
 * Copyright (C) 2001, 2002 Apple Computer, Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 */
 
#include "khtmlview.h"
#include "loader.h"
#include "xml_tokenizer.h"

#include "KWQLoader.h"

using khtml::CachedObject;
using khtml::DocLoader;
using khtml::Loader;

void KHTMLView::cleared()
{
}

void Loader::requestDone(DocLoader *l, CachedObject *o)
{
    kwq->_requestDone.call(l, o);
}

void Loader::requestFailed(DocLoader *l, CachedObject *o)
{
    kwq->_requestFailed.call(l, o);
}

void Loader::requestStarted(DocLoader *l, CachedObject *o)
{
    kwq->_requestStarted.call(l, o);
}

khtml::Tokenizer::Tokenizer()
    : m_finishedParsing(this, SIGNAL(finishedParsing()))
{
    QOBJECT_TYPE(Tokenizer);
}

void khtml::Tokenizer::finishedParsing()
{
    m_finishedParsing.call();
}
